/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package conversion;

/**
 *
 * @author hansolo
 */
public enum Globals
{
    INSTANCE;
    
    public static final java.util.EnumMap<conversion.UnitType, conversion.UnitDescriptor> BASE_UNITS = new java.util.EnumMap<conversion.UnitType, conversion.UnitDescriptor>(conversion.UnitType.class)
    {
        {
            put(conversion.UnitType.ACCELERATION, conversion.UnitDescriptor.METER_PER_SQUARE_SECOND);
            put(conversion.UnitType.ANGLE, conversion.UnitDescriptor.RADIAN);
            put(conversion.UnitType.AREA, conversion.UnitDescriptor.SQUARE_METER);
            put(conversion.UnitType.CURRENT, conversion.UnitDescriptor.AMPERE);
            put(conversion.UnitType.ELECTRIC_CHARGE, conversion.UnitDescriptor.ELEMENTARY_CHARGE);
            put(conversion.UnitType.ENERGY, conversion.UnitDescriptor.JOULE);
            put(conversion.UnitType.LENGTH, conversion.UnitDescriptor.METER);
            put(conversion.UnitType.MASS, conversion.UnitDescriptor.KILOGRAM);
            put(conversion.UnitType.PRESSURE, conversion.UnitDescriptor.PASCAL);
            put(conversion.UnitType.SPEED, conversion.UnitDescriptor.METER_PER_SECOND);
            put(conversion.UnitType.TEMPERATURE, conversion.UnitDescriptor.KELVIN);
            put(conversion.UnitType.TEMPERATURE_GRADIENT, conversion.UnitDescriptor.KELVIN_PER_SECOND);
            put(conversion.UnitType.TIME, conversion.UnitDescriptor.SECOND);
            put(conversion.UnitType.VOLUME, conversion.UnitDescriptor.CUBIC_MILLIMETER);
            put(conversion.UnitType.VOLTAGE, conversion.UnitDescriptor.VOLT);
            put(conversion.UnitType.WORK, conversion.UnitDescriptor.WATT);
        }
    };
}
